import { AfterViewInit, ElementRef, OnDestroy } from "@angular/core";
import { StiTooltipService } from "./sti-tooltip.service";
import { StiModelService } from "../../services/model.service";
import * as i0 from "@angular/core";
export declare class StiTooltipDirective implements AfterViewInit, OnDestroy {
    tooltipService: StiTooltipService;
    private el;
    model: StiModelService;
    tooltipPosition: "right" | "left" | "top" | "bottom" | string | undefined;
    text: string | undefined;
    showDelay: number | undefined;
    active: boolean;
    showTimeout: any;
    hideTimeout: any;
    constructor(tooltipService: StiTooltipService, el: ElementRef, model: StiModelService);
    ngAfterViewInit(): void;
    activate(): void;
    deactivate(): void;
    show(): void;
    hide(): void;
    clearShowTimeout(): void;
    clearHideTimeout(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiTooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<StiTooltipDirective, "[stiTooltip]", never, { "tooltipPosition": { "alias": "tooltipPosition"; "required": false; }; "text": { "alias": "stiTooltip"; "required": false; }; "showDelay": { "alias": "showDelay"; "required": false; }; }, {}, never, never, false, never>;
}
